$(function() {
    var moveUp = function() {
        //向上移动子项目
        //        var link = $(this),
        //			dl = link.parents("dl"),
        //			prev = dl.prev("dl");
        //        if (link.is(".up") && prev.length > 0)
        //            dl.insertBefore(prev);
        //alert($(this).parent(this).parent(this).parent(this).parent(this).html());

        var link = $(this);
        //        alert(link.parents("dl").attr("id"));
        //        alert(link.parents("dt").text());
        //        alert($("#" + link.parents("dl").attr("id")+" dd").html());
        AjaxShowTitle(link.parents("dl").attr("id"), link.parents("dt").text(), $("#" + link.parents("dl").attr("id") + " dd").html());


    };

    var addItem = function() {
        //添加一个子项目
        //alert("");
        var sortable = $(this).parents(".ui-sortable");
        var options = '<span class="options"><a class="up"><img src="res/skyedit.gif" border="0"></a></span>';
        var html = '<dl id=' + randomChar(20) + ' class="sort"><dt>安排标题' + options + '</dt><dd>安排内容</dd></dl>';
        sortable.append(html).sortable("refresh").find("a.up").bind("click", moveUp);
    };

    var emptyTrashCan = function(item) {
        //回收站
        {
            //item.remove();
        }
    };

    var sortableChange = function(e, ui) {
        //拖拽子项目
        
    };

    var sortableUpdate = function(e, ui) {
        //更新模块（用户回收站清空后）
        
    };

    $(function() {
        //引用主页面中的所有块
        //var els = ['#header', '#content', '#sidebar', '#footer', '#trashcan','#footer1','#footer2','#footer3','#a1','#a2','#a3','#a4'];
        var els = ['#header', '#content', '#sidebar', '#footer', '#trashcan', '#footer1', '#footer2', '#footer3', '#a1', '#a2', '#a3', '#a4'];

        //var els = ['#header'];

        //var $els = $(els.toString());
        //alert(els);
        var $els = $("#TabCourse tr td div,#container div");

        /*这个代码特别的慢，需要优化
        $els.each(function(index) {
        //alert(index);	
        //var sid = ($(this).attr("id"))
        var sid = (this.id)
        els.push("#" + sid);
        });*/

        //alert($els.attr("id").toArray());

        //alert(els.length );
        //动态添加“增加子项目”、“向上移动”按钮
        $("#crerycler h2").append('<span class="options"><a class="add"><img src="res/skyadd.gif" border="0"></a></span>');
        $("#TabCourse tr td div dt,#TabCourse1 tr td div dt").append('<span class="options"><a class="up"><img src="res/skyedit.gif" border="0"></a></span>');

        //绑定相关事件
        $("a.add").bind("click", addItem);
        $("a.up").bind("click", moveUp);

        //alert();
		//return;

        $("#TabCourse tr td div,#TabCourse1 tr td div").sortable({
        connectWith: ".ui-sortable",
        items: '> dl', //拖拽对象
        handle: 'dt', //可触发该事件的对象
        cursor: 'move', //鼠标样式
        opacity: 0.8, //拖拽时透明
            start: function(e, ui) {
            //return;
                ui.helper.css("width", ui.item.width());
            },
			zIndex: 9999,
            change: sortableChange,
            update: sortableUpdate		//用于回收站
			    , stop: function(e, ui) {
			        //return;

			        //ui.helper.css("width", ui.item.width());
			        //alert($(ui.item).parent(this).parent(this).html());
			        var divid, dlid, title, info;
			        divid = $(ui.item).parent(this).attr("id");
			        dlid = $(ui.item).attr("id");

			        title = $("#" + $(ui.item).attr("id") + " dt").text();
			        info = $("#" + $(ui.item).attr("id") + " dd").html();
			        //alert(divid+"----"+dlid);
			        //alert(title +"-"+ info);
			        ajaxSendQuery1(divid, dlid, title, info);
			    }
        }).disableSelection();

		
		
        return;
        //使用jQuery插件
        $els.sortable({
            items: '> dl', //拖拽对象
            handle: 'dt', //可触发该事件的对象
            cursor: 'move', //鼠标样式
            opacity: 0.8, //拖拽时透明
            appendTo: 'body',

            connectWith: ".ui-sortable",
            start: function(e, ui) {
                ui.helper.css("width", ui.item.width());
            },
            change: sortableChange,
            update: sortableUpdate		//用于回收站
			, stop: function(e, ui) {
			    //ui.helper.css("width", ui.item.width());
			    //alert($(ui.item).parent(this).parent(this).html());
			    var divid, dlid, title, info;
			    divid = $(ui.item).parent(this).attr("id");
			    dlid = $(ui.item).attr("id");

			    title = $("#" + $(ui.item).attr("id") + " dt").html();
			    info = $("#" + $(ui.item).attr("id") + " dd").html();
			    //alert(divid+"----"+dlid);
			    //alert(title +"-"+ info);
			    ajaxSendQuery1(divid, dlid, title, info);
			}

        });




    });
});
























